// CBlocks : block.h
//
// Data structures and functions for tiles
//
// See userguide.pdf for copyright information

#include <memory.h>
#include "misc.h"
#include "block.h"

/* initialise a Block */
void init_Block(Block *b)
{
  direction i;

  b->type = empty;
  b->orientation = north;
  b->property = 0;

  for (i=north; i<=west; i=(direction)(i+1))
  {
    b->output[i]=0;
    b->connect[i]=False;
  }
}

/* initialise a Block_move */
void init_Block_move(Block_move *bm)
{
  direction i;

  bm->already_cancelled = False;
  bm->asked_if_able = 0;
  bm->move_requested = False;
  bm->xo = 0;
  bm->yo = 0;
  bm->dir = no_direction;
  bm->requester_x = NULL_COORD;
  bm->requester_y = NULL_COORD;
  bm->rotated = False;
  bm->create_block = False;
  bm->new_block = empty;

  for (i=north; i<=west; i=(direction)(i+1))
  {
    bm->connect_change[i] = False;
    bm->new_connect[i] = False;
  }
}

/* initialise a Grid_element */
void init_Grid_element(Grid_element *ge)
{
  init_Block(&(ge->block));
  init_Block_move(&(ge->block_move));
}

/* Copy one grid element to another */
void copy_Grid_element(Grid_element *destination, Grid_element *source)
{
  memcpy((char *)destination,(char *)source,sizeof(Grid_element));
}

