// CBlocks : edit.h
//
// Functions for editing a grid
//
// See userguide.pdf for copyright information

#ifndef EDIT_H
#define EDIT_H

#include <stdio.h>
#include "grid.h"
#include "block.h"

/* Save the section of g marked out by x1,y1 and x2,y2 (incl.) into file */
void save_section(FILE *file, Grid *g, int x1, int y1, int x2, int y2);

/* Erase the section of g marked out by x1,y1 and x2,y2 (incl.) */
void erase_section(Grid *g, int x1, int y1, int x2, int y2);

/* Disconnect any tiles inside the specified region tiles outside
 * the specified region */
void disconnect_edges(Grid *g,int x1, int y1, int x2, int y2);

/* Iterate through the whole grid and set any inconsistent connections
 * to 'disconnected' */
void remove_inconsistent_connections(Grid *g);

/* Load a section of a grid from file into g at coordinates x,y */
void load_section(FILE *file, Grid *g, int x, int y, int fver, int transstore);

/* Save a block in file */
void save_block(FILE *file, Block *b);

/* Load a block from file */
void load_block(FILE *file, Block *b);

#endif
