// CBlocks : process.h
//
// Functions for processing a grid
//
// See userguide.pdf for copyright information

#ifndef PROCESS_H
#define PROCESS_H

#include "grid.h"

/* Process the whole of the active array */
void process_Grid(Grid *g);

/* Deal with fusing & rotating & creating*/
void perform_fuse_rotate_create(Grid *g);

/* Move any blocks which need moving */
void perform_moves(Grid *g);

/* Ensure that there is not going to be a fuse/move conflict */
void check_fuse_move_conflict(Grid *g, int x, int y, direction dir);

/* Rotate any blocks which need rotating */
void perform_rotate(Grid *g, int x, int y);

/* Create any blocks which need creating */
void perform_create(Grid *g, int x, int y);

#endif

