// CBlocks : main.cpp
//
// This example main function shows how to initialise a CBlocks universe,
// load a section of the universe from a file and then run the universe.
//
// See userguide.pdf for copyright information

#include <stdio.h>

#include "grid.h"
#include "graphics.h"
#include "process.h"
#include "funcs.h"
#include "edit.h"
#include "misc.h

int main(void)
{
  FILE *fptr;
  Grid *g;

  g = init_Grid(GRID_WIDTH,GRID_HEIGHT);

  fptr = fopen("test.gr2","r");

  if (fptr)
    load_section(fptr,g,0,0,1,0);

  while (1)
  {
    process_Grid(g);
    drawGrid(??,g,xo,yo);
  }

  destroy_Grid(g);

  return 0;
}

